Refresh discovery context
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidSuccessful Response
application/json- response
completed_required_fields*Completed Required Fieldscompletion_percent*Completion Percentcontradictions*array<>dependencies*array<>field_definitions*array<>fields*array<>id*IdFormat
uuidpublished_snapshot_id*|nullquestions*array<>registered_sources*array<>required_field_count*Required Field Countsource_groups*array<>status*Statussuggestions*array<>version*Versioncurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/discovery/refresh'Example Response
{ "completed_required_fields": 0, "completion_percent": 0, "contradictions": [ { "created_at": "2019-08-24T14:15:22Z", "field_key": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "left_revision_id": "fccb5dbc-bd51-445f-b092-2973a248c859", "rationale": "string", "resolved_at": "2019-08-24T14:15:22Z", "resolved_by": "d0d57369-b08b-4db8-8952-8cdeedd9aebc", "resolved_revision_id": "935a0c3a-5631-442d-aafb-19f8c751f8e2", "right_revision_id": "99bff235-325f-4923-ade9-e0e32a946188", "state": "string" } ], "dependencies": [ { "crosses_trust_boundary": true, "data_classification": "string", "evidence_ids": [ "string" ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "relationship_kind": "string", "source_group_id": "58d74375-43ee-4b76-86bc-674c69391672", "state": "string", "target_group_id": "efc47beb-e46d-465e-921d-3e02578ccf22" } ], "field_definitions": [ { "category": "string", "description": "string", "high_impact": true, "key": "string", "label": "string", "required": true, "sensitive": true } ], "fields": [ { "category": "string", "confidence": "string", "confirmation_state": "string", "confirmed_at": "2019-08-24T14:15:22Z", "confirmed_by": "41d52211-974d-4c1a-a696-959dc97cc570", "created_at": "2019-08-24T14:15:22Z", "evidence_ids": [ "string" ], "field_key": "string", "high_impact": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "observed_at": "2019-08-24T14:15:22Z", "redacted": false, "sensitive": true, "source_kind": "string", "source_ref": "string", "supersedes_revision_id": "85575177-1836-4298-a833-e871ebd8a168", "value": null, "version": 0 } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "published_snapshot_id": "3d89f9c6-07df-4ea0-bf20-ce2d5a657882", "questions": [ { "category": "string", "deferred_until": "2019-08-24T14:15:22Z", "field_key": "string", "generated_from": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "priority": 0, "prompt": "string", "question_key": "string", "state": "string", "why_asked": "string" } ], "registered_sources": [ { "display_name": "string", "freshness_seconds": 0, "group_id": "306db4e0-7449-4501-b76f-075576fe2d8f", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_observed_at": "2019-08-24T14:15:22Z", "metadata_json": {}, "owner_label": "string", "source_kind": "string", "source_ref": "string", "status": "string" } ], "required_field_count": 0, "source_groups": [ { "created_at": "2019-08-24T14:15:22Z", "criticality": "string", "description": "string", "group_key": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "owner_label": "string", "status": "string", "trust_boundary": "string", "updated_at": "2019-08-24T14:15:22Z", "version": 0 } ], "status": "string", "suggestions": [ { "confidence": "string", "decided_at": "2019-08-24T14:15:22Z", "decided_by": "4accc021-c0cc-4c2c-8a78-605a0ed6da31", "decision_reason": "string", "evidence_ids": [ "string" ], "evidence_revision": "string", "fingerprint": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "proposed_json": {}, "rationale": "string", "source_group_id": "58d74375-43ee-4b76-86bc-674c69391672", "state": "string", "suggestion_kind": "string", "target_group_id": "efc47beb-e46d-465e-921d-3e02578ccf22" } ], "version": 0}